Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security
Interface ProviderMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, AdjudicatorMBean, weblogic.management.security.audit.AuditorMBean, AuthenticationProviderMBean, AuthenticatorMBean, AuthorizerMBean, CredentialMapperMBean, DefaultAdjudicatorMBean, DefaultAuditorMBean, DefaultAuthenticatorMBean, DefaultAuthorizerMBean, DefaultCredentialMapperMBean, DefaultIdentityAsserterMBean, DefaultKeyStoreMBean, DefaultRoleMapperMBean, DeployableAuthorizerMBean, DeployableCredentialMapperMBean, DeployableRoleMapperMBean, IdentityAsserterMBean, IPlanetAuthenticatorMBean, KeyStoreMBean, LDAPAuthenticatorMBean, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, RealmAdapterAdjudicatorMBean, RealmAdapterAuditorMBean, RealmAdapterAuthenticatorMBean, RealmAdapterAuthorizerMBean, RoleMapperMBean

public interface ProviderMBean
extends weblogic.management.commo.StandardInterface

The base MBean for all security providers.

It includes attributes common to all security providers. Every security provider must implement an MBean that extends this MBean.

If the security provider supports management methods, the management methods cannot be called until the validate method of realm in which the security provider is configured successfully returns. That is, the administrator must completely configure the realm before using the management methods (for example, adding a user).

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` Describes this security provider.
`RealmMBean` | `getRealm()` The realm that contains this security provider.
`java.lang.String` | `getVersion()` this security provider's version.
`void` | `setRealm(RealmMBean newValue)` The realm that contains this security provider.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### getDescription

    public java.lang.String getDescription()

  Describes this security provider.

  Each security provider's mbean should set the default value of this read-only attribute to a string that describes the provider. In other words, each security provider's mbean hard-wires its description. There are no conventions on the contents of the description. It should be a human readable string that gives a brief description of the security provider.

  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  this security provider's version.

  Each security provider's mbean should set the default value of this read-only attribute to a string that specifies the version of the provider (eg. 7.3.04). In other words, each security provider's mbean hard-wires its version. There are no conventions on the contents of the version string.

  Legal NULL: true

### getRealm

    public RealmMBean getRealm()

  The realm that contains this security provider.

  Each security provider mbean instance may only be used by one security realm mbean. That is, security providers are scoped within a realm. The realm has attributes that return its providers (eg. `Authorizers`). Similarly, each provider uses this attribute to refer back to its realm.

  Whoever adds a security provider to a realm must also set this attribute to make the provider refer to its realm.

  Legal NULL: true

### setRealm

    public void setRealm(RealmMBean newValue)
                  throws javax.management.InvalidAttributeValueException

  The realm that contains this security provider.

  Each security provider mbean instance may only be used by one security realm mbean. That is, security providers are scoped within a realm. The realm has attributes that return its providers (eg. `Authorizers`). Similarly, each provider uses this attribute to refer back to its realm.

  Whoever adds a security provider to a realm must also set this attribute to make the provider refer to its realm.

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute Realm
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD